package com.engine.organization.enums;

/**
 * @author:dxfeng
 * @createTime: 2022/07/04
 * @version: 1.0
 */
public enum LogModuleNameEnum {
    SCHEME("等级方案", 1),
    LEVEL("职等", 2),
    GRADE("职级", 3),
    SEQUENCE("岗位序列", 4),
    POSTINFO("职务管理", 6),
    GROUP("集团管理", 7),
    COMPANY("分部管理", 8),
    DEPARTMENT("部门管理", 9),
    JOB("岗位管理", 10),
    RESOURCE("人员管理", 11),
    STAFFPLAN("编制方案", 12),
    STAFF("编制上报", 13),
    DETACH("模块管理分权", 14),
    OTHER("其他模块", 99);

    private String name;

    private Integer value;

    LogModuleNameEnum(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }

    public String getName() {
        return name;
    }
}
